bitel.billing.server.admin.bgsecure.bean

## Class UserLoginModule.WithoutPassword

- java.lang.Object
- - bitel.billing.server.admin.bgsecure.bean.UserLoginModule
  - - bitel.billing.server.admin.bgsecure.bean.UserLoginModule.WithoutPassword

- All Implemented Interfaces:
    javax.security.auth.spi.LoginModule
  Enclosing class:
    UserLoginModule

      public static class UserLoginModule.WithoutPassword
      extends UserLoginModule

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class bitel.billing.server.admin.bgsecure.bean.UserLoginModule

      `UserLoginModule.ConnectionCallback, UserLoginModule.UserPrincipal, UserLoginModule.WithoutPassword`

  - ### Field Summary

    - ### Fields inherited from class bitel.billing.server.admin.bgsecure.bean.UserLoginModule

      `callbackHandler, loginOK, options, sharedState, subject, user`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `WithoutPassword()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `login(User user, javax.security.auth.callback.NameCallback name, javax.security.auth.callback.PasswordCallback pswd)`

    - ### Methods inherited from class bitel.billing.server.admin.bgsecure.bean.UserLoginModule

      `abort, auth, commit, getUser, initialize, login, logout`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### WithoutPassword

          public WithoutPassword()

  - ### Method Detail

    - #### login

          protected void login(User user,
                               javax.security.auth.callback.NameCallback name,
                               javax.security.auth.callback.PasswordCallback pswd)
                        throws javax.security.auth.login.LoginException

      Overrides:
        `login` in class `UserLoginModule`
      Throws:
        `javax.security.auth.login.LoginException`